summaryrefslogtreecommitdiff
path: root/dev-python/python-debian
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-17 09:28:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-17 09:28:46 +0000
commitcbc5aa36c525ed7f31e3f074acb5f77ca2178a1d (patch)
treea6f6759e9c23e6a44d33f7b733643b20305e4bef /dev-python/python-debian
parent1c6364f0bb462f48ce30a4d1db937bd4df251cc3 (diff)
downloadbaldeagleos-repo-cbc5aa36c525ed7f31e3f074acb5f77ca2178a1d.tar.gz
baldeagleos-repo-cbc5aa36c525ed7f31e3f074acb5f77ca2178a1d.tar.xz
baldeagleos-repo-cbc5aa36c525ed7f31e3f074acb5f77ca2178a1d.zip
Adding metadata
Diffstat (limited to 'dev-python/python-debian')
-rw-r--r--dev-python/python-debian/Manifest1
-rw-r--r--dev-python/python-debian/python-debian-0.1.43.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index 85fe2d44c9e3..509445a7bb6a 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
DIST python-debian_0.1.42.tar.xz 173928 BLAKE2B 615be084cba8ff11eaaefc1b40335b73a16604b864600dbeb717ba65ee94f1d3a62f845a59c3db5b915346de4211fdde811593db989b143f4d60e7b425b98d2d SHA512 923831077d0a42dafd22277579e714af33b99612e5282f5d95bc884b2faec05321f8caaad20b72b25ce88d8c2449a6a23913c5377ed0bdc30d4ef87e39341ff7
+DIST python-debian_0.1.43.tar.xz 175832 BLAKE2B 2b43da25392c844a3c8fa8e159695ef4c871c6620be88d286abde31b9285e3f005e3c20997617d24014fe94a1a3c446c8721f8d92c35018ac308da8703788bcd SHA512 510dd37ef65be2ee0f9c4c4c15010b94fc7c05c621de2cb25fee4f6e741f51dff2e4cdc333313bac8269bfa621533217b3f72ecbd8b0b6368aa52c54e5237bb6
diff --git a/dev-python/python-debian/python-debian-0.1.43.ebuild b/dev-python/python-debian/python-debian-0.1.43.ebuild
new file mode 100644
index 000000000000..7881d7feeebf
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.43.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2011-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="https://salsa.debian.org/python-debian-team/python-debian"
+SRC_URI="mirror://debian/pool/main/${P:0:1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? ( app-arch/dpkg )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # See debian/rules.
+ sed -e "s/__CHANGELOG_VERSION__/${PV}/" lib/debian/_version.py.in > lib/debian/_version.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # See debian/rules.
+ "${EPYTHON}" lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+ eunittest lib
+}